Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreShadowTextureManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreTexture.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Typedefs
typedef std::vector< TexturePtr > | ShadowTextureList
typedef std::vector< ShadowTextureConfig > | ShadowTextureConfigList
typedef ConstVectorIterator< ShadowTextureConfigList > | ConstShadowTextureConfigIterator
## Functions
_OgreExport bool | operator== (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)
_OgreExport bool | operator!= (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)

## Typedef Documentation

typedef ConstVectorIterator<ShadowTextureConfigList> Ogre::ConstShadowTextureConfigIterator

| Definition at line 56 of file OgreShadowTextureManager.h.

typedef std::vector<ShadowTextureConfig> Ogre::ShadowTextureConfigList

| Definition at line 55 of file OgreShadowTextureManager.h.

typedef std::vector<TexturePtr> Ogre::ShadowTextureList

| Definition at line 42 of file OgreShadowTextureManager.h.

## Function Documentation

_OgreExport bool operator!= | ( | const ShadowTextureConfig & | lhs,
|  | const ShadowTextureConfig & | rhs
| ) |

_OgreExport bool operator== | ( | const ShadowTextureConfig & | lhs,
|  | const ShadowTextureConfig & | rhs
| ) |

| Referenced by Ogre::Quaternion::operator!=(), and Ogre::Matrix3::operator!=().

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007